Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
ASN1CryptoMaterial< BASE > Class Template Reference

Encode and decode ASN.1 objects with additional information. More...

Inheritance diagram for ASN1CryptoMaterial< BASE >:

## Public Member Functions
void | Save (BufferedTransformation &bt) const
| DER encode ASN.1 object. More...
void | Load (BufferedTransformation &bt)
| BER decode ASN.1 object. More...
Public Member Functions inherited from ASN1Object
virtual void | BERDecode (BufferedTransformation &bt)=0
| Decode this object from a BufferedTransformation. More...
virtual void | DEREncode (BufferedTransformation &bt) const =0
| Encode this object into a BufferedTransformation. More...
virtual void | BEREncode (BufferedTransformation &bt) const
| Encode this object into a BufferedTransformation. More...

## Detailed Description

### template<class BASE>
class ASN1CryptoMaterial< BASE >

Encode and decode ASN.1 objects with additional information.

Template Parameters

  BASE | base class or type

Encodes and decodes public keys, private keys and group parameters with OID identifying the algorithm or scheme.

Definition at line 683 of file asn.h.

## Member Function Documentation

## ◆ Save()

template<class BASE>

void ASN1CryptoMaterial< BASE >::Save | ( | BufferedTransformation & | bt | ) | const
| inline

DER encode ASN.1 object.

Parameters

  bt | BufferedTransformation object

Save() will write the OID associated with algorithm or scheme. In the case of public and private keys, this function writes the subjectPubicKeyInfo and privateKeyInfo parts.

Definition at line 691 of file asn.h.

## ◆ Load()

template<class BASE>

void ASN1CryptoMaterial< BASE >::Load | ( | BufferedTransformation & | bt | ) |
| inline

BER decode ASN.1 object.

Parameters

  bt | BufferedTransformation object

Definition at line 696 of file asn.h.

The documentation for this class was generated from the following file:

- asn.h